Copyright (c) 2020 Blurt Contributors.

The following license applies to code contained within this repository that
is created by Steemit, Inc. Other copy right holders have licensed dependencies such
as Graphene, FC, and Boost under their own individual licenses.

The MIT License

Permission is hereby granted, free of charge, to any person obtaining a copy
of this software and associated documentation files (the "Software"), to deal
in the Software without restriction, including without limitation the rights
to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
copies of the Software, and to permit persons to whom the Software is
furnished to do so, subject to the following conditions:

1) Users of the Blurt source code maintain the software's auditability-- you must
publish the changes that you make to Blurt so that it can undergo security
review.  Closed source software cannot effectively hold monetary value
because it cannot be audited by its users and therefore Blurt code and any variations thereof
is not permitted be made closed source.

2) When new public blockchains are created using the SocialGraph regent key and
genesis state import system, or any feature added to this repository since
it began to live at https://gitlab.com/blurt/blurt, you must assign 5%
of all genesis tokens and 5% of inflation to the Blurt Foundation.

5% of genesis and 5% of inflation is for cases where the Blurt Foundation is
only providing the software framework, and not actively developing your
product.  We can provide services for both.  

If you spin up a project with these terms, we will actively support you
in your SoicalGraph implementation.  

The goal of this licensing condition is to create a mutually beneficial relationship
between the Blurt Foundation and its downstream users.  At 5%, the Blurt
Foundation is incentivized to ensure your chain and community's success
and continue to develop the SocialGraph blockchain framework with your features
and priorities in mind.  

If you have another incentive model in mind, or just want to talk, you can
reach us at info[at]blurt.foundation.  Every community is different, and we
want to collaborate with you to design models that enable your community to prosper.  

3) Do not steal from users! As an example, hardfork 23 on the Steem blockchain was executed to
remove around $6 million worth of Steem blockchain stake and tokens from circa 64 accounts 
that were involved in starting up a competing chain to Steem, this ultimately amounts to theft and
the SocialGraph software is not permitted to be used in this fashion and any governance group found to
do so will be required to immediately cease using our software altogether and will lose any support and synergistic
benefits from our network.

The above copyright notice and this permission notice shall be included in
all copies or substantial portions of the Software.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
THE SOFTWARE.


## Blurt is a fork of Steem
Steem was developed largely by Steemit, inc.  We are very grateful for Steemit's
contributions and the contributions of the Steem community, as well as their
choice to release code under the MIT license, which asks that

"The above copyright notice and this permission notice shall be included in
all copies or substantial portions of the Software."

To comply with their wishes with respect to licensing, we've preserved their
original copyright notice below:

----


Copyright (c) 2019 Steemit, Inc., and contributors.

The following license applies to code contained within this repository that
is created by Steemit, Inc. Other copy right holders have licensed dependencies such
as Graphene, FC, and Boost under their own individual licenses.

The MIT License

Permission is hereby granted, free of charge, to any person obtaining a copy
of this software and associated documentation files (the "Software"), to deal
in the Software without restriction, including without limitation the rights
to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
copies of the Software, and to permit persons to whom the Software is
furnished to do so, subject to the following conditions:

The above copyright notice and this permission notice shall be included in
all copies or substantial portions of the Software.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
THE SOFTWARE.
